$!	SMBD_STARTUP.COM
$!	V1.4				1-Mar-1997	IfN/Mey
$!
$!	Copyright E. Meyer <meyer@ifn.ing.tu-bs.de>
$!+
$! Command file to startup SMBD. Called from TCP/IP's server mechanism.
$!-
$!
$! To speed up SMBD a bit...
$!
$ set process/prio=6
$!
$! Defining the job logical name table to the process table makes it
$! possible to spawn subprocesses after the parent process (this process)
$! has changed UIC and username since the process table is not protected
$! (SPAWNing results in the definition of a logical DCL$ATTACH_<pid> in the
$! job table, so any user must be able to write to that table).
$!
$ define/table=LNM$PROCESS_DIRECTORY LNM$JOB LNM$PROCESS_TABLE
$!
$! The 'smbrun' command must be defined as "smbrun" in smb.conf. If you change
$! this in the conf file, also change it here (there is no reason to do so).
$! Samba checks the existance via stat() and then issues a system() call
$! with that string. Thus we define a symbol with the same name.
$!
$ define smbrun samba_root:[bin]smbrun.com
$ smbrun := @smbrun
$!
$! Setup RMS extend quantity to speed up disk allocation when copying
$! large files. The value 10000 was arbitrarily chosen, just use
$! a large value.
$!
$ set rms_default /extend_quantity=10000
$!
$! Setup tmpdir
$!
$ tmpdir = f$trnlnm("SAMBA_TMPDIR")
$ define TMP 'tmpdir'		! up to 1.9.16p2
$ define TMPDIR 'tmpdir'	! from 1.9.16p3 on (Andrew told me...)
$!
$! In case some has defined a logical DEV. Samba uses /dev/null sometimes.
$! So we simple define our own DEV:
$!
$ define DEV NLA0:
$!
$! Now run the server.
$!
$ opt = f$trnlnm("SAMBA_SMBD_OPTIONS")
$ set default samba_root:[var]
$ smbd := $samba_exe:smbd.exe
$ smbd 'opt'
